import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'supportMain',
      // route level code-splitting
      // this generates a separate chunk (about.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import(/* webpackChunkName: "supportMain" */ './views/supportMain/supportMain.vue')
    },
    {
      path: '/supportDetail/:other/:recordid',
      name: 'supportDetail',
      component: () => import(/* webpackChunkName: "supportDetail" */ './views/supportDetail/supportDetail.vue')
    }
  ]
})
