const baseUrl = '/bargain-api'
const common = ''

const $api = {
  game: { // 助力详情
    method: 'get',
    url: `${baseUrl}${common}/game/:gameid/:customerid`
  },
  customer: { // 用户信息
    method: 'get',
    url: `${baseUrl}${common}/customer/:code`
  },
  signup: { // 注册
    method: 'post',
    url: `${baseUrl}${common}/signup/:customerid`
  },
  setRecord: { // 报名
    method: 'post',
    url: `${baseUrl}${common}/record/:customerid/:gameid`
  },
  getRecord: { // 获取活动详情
    method: 'get',
    url: `${baseUrl}${common}/record/:recordid`
  },
  setSupport: { // 助力
    method: 'post',
    url: `${baseUrl}${common}/support/:customerid/:recordid`
  },
  share:{ // 分享
    method: 'get',
    url: `${baseUrl}${common}/wechat/jssdk/signature`
  }
}
export default $api
